<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Pikture Pro
 * @since Pikture Pro 1.0.0
 */

// Add menu section
$wp_customize->add_section( 'pikture_pro_menu_options', array(
	'title'               => esc_html__('Menu','pikture-pro'),
	'description'         => esc_html__( 'Menu section options.', 'pikture-pro' ),
	'panel'               => 'pikture_pro_theme_options_panel',
) );

// Menu type setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[menu_type]', array(
	'sanitize_callback' => 'pikture_pro_sanitize_select',
	'default'           => $options['menu_type'],
) );

$wp_customize->add_control( 'pikture_pro_theme_options[menu_type]', array(
	'label'               => esc_html__( 'Menu Type:', 'pikture-pro' ),
	'section'             => 'pikture_pro_menu_options',
	'type'				  => 'radio',
	'choices'			  => array( 
			'classic' => esc_html__( 'Classic', 'pikture-pro' ),
			'modern'  => esc_html__( 'Modern', 'pikture-pro' ) 
		)
) );

// Menu view text setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[menu_context]', array(
	'sanitize_callback' => 'pikture_pro_sanitize_select',
	'default'           => $options['menu_context'],
) );

$wp_customize->add_control( 'pikture_pro_theme_options[menu_context]', array(
	'label'               => esc_html__( 'Menu Context', 'pikture-pro' ),
	'section'             => 'pikture_pro_menu_options',
	'type'				  => 'radio',
	'choices'			  => array( 
		'text' => esc_html__( 'Text', 'pikture-pro' ), 
		'bars' => esc_html__( 'Bars', 'pikture-pro' ), 
	),
	'active_callback'		=> 'pikture_pro_is_modern_menu_active'	
) );

// Menu show search setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[menu_show_search]', array(
	'sanitize_callback' => 'pikture_pro_sanitize_switch_control',
	'default'           => $options['menu_show_search'],
) );

$wp_customize->add_control( new Pikture_Pro_Switch_Control( $wp_customize, 'pikture_pro_theme_options[menu_show_search]', array(
	'label'        => esc_html__( 'Show Search', 'pikture-pro' ),
	'section'      => 'pikture_pro_menu_options',
	'on_off_label' => pikture_pro_switch_options(),
) ) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'pikture_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Pikture_Pro_Switch_Control( $wp_customize, 'pikture_pro_theme_options[menu_sticky]', array(
	'label'        => esc_html__( 'Make Menu Sticky', 'pikture-pro' ),
	'section'      => 'pikture_pro_menu_options',
	'on_off_label' => pikture_pro_switch_options(),
) ) );
