<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage Pikture Pro
 * @since Pikture Pro 1.0.0
 */

// Add excerpt section
$wp_customize->add_section( 'pikture_pro_single_post_section', array(
	'title'             => esc_html__( 'Single Post','pikture-pro' ),
	'description'       => esc_html__( 'Options to change the single posts globally.', 'pikture-pro' ),
	'panel'             => 'pikture_pro_theme_options_panel',
) );

// Show archive image setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[single_post_image]', array(
	'default'           => $options['single_post_image'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'pikture_pro_theme_options[single_post_image]', array(
	'label'       		=> esc_html__( 'Image Option', 'pikture-pro' ),
	'section'     		=> 'pikture_pro_single_post_section',
	'type'        		=> 'select',
	'choices'	  		=> pikture_pro_get_image_sizes_options( true, true ),
) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[single_post_hide_date]', array(
	'default'           => $options['single_post_hide_date'],
	'sanitize_callback' => 'pikture_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Pikture_Pro_Switch_Control( $wp_customize, 'pikture_pro_theme_options[single_post_hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'pikture-pro' ),
	'section'           => 'pikture_pro_single_post_section',
	'on_off_label' 		=> pikture_pro_switch_options(),
) ) );

// Archive author meta setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[single_post_hide_author]', array(
	'default'           => $options['single_post_hide_author'],
	'sanitize_callback' => 'pikture_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Pikture_Pro_Switch_Control( $wp_customize, 'pikture_pro_theme_options[single_post_hide_author]', array(
	'label'             => esc_html__( 'Hide Author', 'pikture-pro' ),
	'section'           => 'pikture_pro_single_post_section',
	'on_off_label' 		=> pikture_pro_switch_options(),
) ) );

// Archive author category setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[single_post_hide_category]', array(
	'default'           => $options['single_post_hide_category'],
	'sanitize_callback' => 'pikture_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Pikture_Pro_Switch_Control( $wp_customize, 'pikture_pro_theme_options[single_post_hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'pikture-pro' ),
	'section'           => 'pikture_pro_single_post_section',
	'on_off_label' 		=> pikture_pro_switch_options(),
) ) );

// Archive tag category setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[single_post_hide_tags]', array(
	'default'           => $options['single_post_hide_tags'],
	'sanitize_callback' => 'pikture_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Pikture_Pro_Switch_Control( $wp_customize, 'pikture_pro_theme_options[single_post_hide_tags]', array(
	'label'             => esc_html__( 'Hide Tag', 'pikture-pro' ),
	'section'           => 'pikture_pro_single_post_section',
	'on_off_label' 		=> pikture_pro_switch_options(),
) ) );

// Archive tag category setting and control.
$wp_customize->add_setting( 'pikture_pro_theme_options[single_post_hide_comments]', array(
	'default'           => $options['single_post_hide_comments'],
	'sanitize_callback' => 'pikture_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Pikture_Pro_Switch_Control( $wp_customize, 'pikture_pro_theme_options[single_post_hide_comments]', array(
	'label'             => esc_html__( 'Hide Comments', 'pikture-pro' ),
	'section'           => 'pikture_pro_single_post_section',
	'on_off_label' 		=> pikture_pro_switch_options(),
) ) );