<?php
/**
 * About us template counter section
 *
 * This is the template for the about template counter section
 *
 * @package Theme Palace
 * @subpackage Pikture Pro
 * @since 1.0
 */
if ( ! function_exists( 'pikture_pro_add_about_temp_counter_section' ) ) :
  /**
   * Add about template counter section
   *
   *@since Pikture Pro 1.0.0
   */
  function pikture_pro_add_about_temp_counter_section() {
    // Check if about template counter is enabled.
    $options = pikture_pro_get_theme_options();

	if ( ! $options['enable_about_temp_counter'] ){
        return false;
    }

    // Render about template counter section now.
    pikture_pro_render_about_temp_counter_section();
  }
endif;
add_action( 'pikture_pro_about_us_template', 'pikture_pro_add_about_temp_counter_section', 20 );


if ( ! function_exists( 'pikture_pro_render_about_temp_counter_section' ) ) :
  /**
   * Start about template counter section
   *
   * @return string About template counter content
   * @since Pikture Pro 1.0.0
   *
   */
   function pikture_pro_render_about_temp_counter_section() {
        $options          = pikture_pro_get_theme_options();

        ?>

        <div id="counter" style="background-image: url('<?php echo esc_url( $options['about_temp_img'] ); ?>">
            <div class="container col-<?php echo esc_attr( $options['about_temp_counter_num'] ); ?>">
                <?php for ( $i=1; $i <= $options['about_temp_counter_num']; $i++ ) { ?>
                    <div class="hentry">
                        <div class="statwrap">
                            <?php 
                            $about_temp_counter_count = ( isset( $options['about_temp_counter_count_' .$i ] ) ) ? $options['about_temp_counter_count_' .$i ] : $options['about_temp_counter_count' ];

                            if ( $about_temp_counter_count ) : ?>
                                <span class="count"><?php echo esc_html( $about_temp_counter_count );  ?></span>
                            <?php endif; ?>

                            <?php 
                            $about_temp_counter_text = ( isset( $options['about_temp_counter_text_' .$i ] ) ) ? $options['about_temp_counter_text_' .$i ] : $options['about_temp_counter_text' ];

                            if ( $about_temp_counter_text ) : ?>
                                <small><?php echo esc_html( $about_temp_counter_text );  ?></small>
                            <?php endif; ?>
                        </div>
                    </div><!-- .statwrap -->
                <?php } ?>
            </div><!-- .container -->
        </div><!-- .counter -->
<?php
    }
endif;